%define	desktop_vendor startcom

#define beta rc2

Summary: Multichannel Digital Audio Workstation
Name: ardour2
Version: 2.1
Release: 1%{?dist}
Source: http://ardour.org/files/releases/ardour-%{version}%{?beta}.tar.bz2
Source1: ardour2.desktop
URL: http://ardour.sourceforge.net
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hicolor-icon-theme
%if "%{fedora}" == "4"
Requires: gtk2 >= 2.8.20
%endif

BuildRequires: desktop-file-utils scons pkgconfig bison byacc flex 
BuildRequires: automake autoconf libtool linuxdoc-tools
BuildRequires: gtk2-devel libxslt-devel libgnomecanvas-devel boost-devel
BuildRequires: alsa-lib-devel jack-audio-connection-kit-devel
BuildRequires: gettext libsndfile-devel libsamplerate-devel
BuildRequires: liblrdf-devel libxml2-devel liblo-devel
%if "%{fedora}" < "7"
BuildRequires: flac-devel
%else
BuildRequires: flac123
%endif
%if "%{fedora}" >= "1"
BuildRequires: curl-devel
%endif
%if "%{fedora}" == "1"
BuildRequires: glib2-devel krb5-devel openssl-devel
%endif

%description
Ardour is a multichannel hard disk recorder (HDR) and digital audio
workstation (DAW). It is capable of simultaneous recording 24 or more
channels of 32 bit audio at 48kHz. Ardour is intended to function as a
"professional" HDR system, replacing dedicated hardware solutions such
as the Mackie HDR, the Tascam 2424 and more traditional tape systems
like the Alesis ADAT series. It is also intended to provide the same
or better functionality as software systems such as ProTools,
Samplitude, Logic Audio, Nuendo and Cubase VST (we acknowledge these
and all other names as trademarks of their respective owners). It
supports MIDI Machine Control, and so can be controlled from any MMC
controller, such as the Mackie Digital 8 Bus mixer and many other
modern digital mixers.

%prep
%setup -q -n ardour-%{version}%{?beta}

%build
%ifarch x86_64
TARGETCPU=x86_64
%else
TARGETCPU=i686
%endif

# Use NOARCH to skip /proc/cpuinfo problems, ARCH to specify
# optimization flags
scons %{?_smp_mflags} PREFIX=%{_prefix} \
      %{?cvsdate:SIGCCVSBUILD=1} \
      DIST_TARGET="${TARGETCPU}" \
      ARCH="$RPM_OPT_FLAGS" 

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}
scons DESTDIR=%{buildroot}  NOARCH="1" ARCH="$RPM_OPT_FLAGS" install

# install the templates
install -dm 755 %{buildroot}%{_datadir}/ardour2/templates
cp templates/*.template %{buildroot}%{_datadir}/ardour2/templates
chmod 644 %{buildroot}%{_datadir}/ardour2/templates/*

# copy icons to freedesktop locations
for s in 16 22 32 48 ; do
    %{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps
    %{__cp} %{buildroot}%{_datadir}/ardour2/icons/ardour_icon_${s}px.png \
            %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/ardour2_icon.png
done

# desktop file categories
BASE="X-StartCom AudioVideo Audio"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications \
  `for c in ${BASE} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%find_lang gtk2_ardour
cat gtk2_ardour.lang > ardour.lang
%find_lang libardour2
cat libardour2.lang >> ardour.lang
%find_lang libgtkmm2ext
cat libgtkmm2ext.lang >> ardour.lang

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f ardour.lang
%defattr(-,root,root)
%doc README COPYING DOCUMENTATION
%{_bindir}/ardour2
%{_datadir}/ardour2
%{_libdir}/ardour2
%dir %{_sysconfdir}/ardour2/
%config(noreplace) %{_sysconfdir}/ardour2/ardour.bindings
%config(noreplace) %{_sysconfdir}/ardour2/ardour.menus
%config(noreplace) %{_sysconfdir}/ardour2/ardour2_ui_default.conf
%config(noreplace) %{_sysconfdir}/ardour2/ardour2_ui_light.rc
%config(noreplace) %{_sysconfdir}/ardour2/ardour2_ui_dark.rc
%config(noreplace) %{_sysconfdir}/ardour2/ardour_system.rc
%{_datadir}/applications/*-ardour2.desktop
%{_datadir}/icons/hicolor/*/apps/ardour2_icon.png

%changelog
* Fri Nov 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Sep 28 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.1-1
- updated to 2.1
- normalize desktop categories to the standard
- translations now named gtk2_ardour and libardour2

* Sun Aug 12 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0.5-1
- updated to 2.0.5

* Tue Jul 24 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0.3-2
- added patch from Sampo Savolainen to fix broken sessions that
  were happening sporadically (patch1)

* Thu Jul  5 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0.3-1
- updated to 2.0.3
- added patch by Alexis Ballier to install libardour_powermate to
  /usr/lib64 for x86_64 builds

* Tue Jun  5 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0.2-1
- build on fc7, use old version of flac

* Wed May  8 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0.2-1
- updated to 2.0.2
- fixed cpu optimization

* Tue May  8 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- trying to build on fc7, hitting problems with flac, see:
  http://ardour.org/node/850

* Mon Apr 30 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0-1
- updated to 2.0 final!

* Thu Apr 25 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0-0.3.rc2
- updated to 2.0rc2

* Thu Apr 12 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0-0.3.rc1
- updated to 2.0rc1

* Sun Mar 18 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0-0.2.beta12
- updated to beta12

* Wed Feb 21 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0-0.2.beta11.1
- updated to beta11.1

* Thu Jan  4 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0-0.2.beta10
- change names in desktop file to "ardour 2"

* Thu Jan  4 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0-0.1.beta10
- updated to beta10
- added proper categories to desktop file
- copy icons to freedesktop location
- merge the spec file a bit more with the one from Fedora Extras
  (find_lang, templates, etc)

* Tue Oct 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0-0.1.beta6.2
- first try at 2.0 beta6

* Wed May  3 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.99.3-2
- added Planet CCRMA categories to desktop file

* Sun Apr 30 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.99.3-1
- updated to 0.99.3

* Mon Mar 27 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.99.2-1
- updated to 0.99.2
- added build dependency linuxdoc-tools for sgml2html binary

* Sat Sep 24 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.99-1
- update to 0.99

* Tue Sep 20 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta30-0.1.cvs
- cvs snapshot to fix freeverb explosions

* Sun Sep 18 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta30-1
- updated to beta30
- added flags for SSE optimization

* Tue Jul  5 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta29-1.1.cvs
- updated to 2005.07.05 snapshot
- added ardour_ui.rc classic theme from:
  http://myweb.tiscali.co.uk/debianlinux/ardour_ui.rc
  can be selected through an environmental variable: ARDOUR_UI_RC

* Sun Jul  3 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- build cvs snapshot for fc4

* Thu Jun 23 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added patches for gcc4 in fc4

* Thu Apr 21 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- use NOARCH to skip /proc/cpuinfo problems, ARCH to specify optimization
  flags
- no man pages anymore?
- added small patch to fix fonts in ladspa plugin editor (thanks to Paul
  Davis here at LAC2005)

* Sun Apr 17 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta29-1
- switched over to scons build

* Wed Mar  9 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta28-1
- updated to 0.9beta28

* Sat Feb 25 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta27-1
- updated to 0.9beta27

* Thu Feb 10 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta26-1
- updated to 0.9beta26

* Tue Feb  8 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta25-1
- updated to 0.9beta25

* Fri Jan 21 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta24-1
- updated to 0.9beta24

* Thu Jan  6 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta23-1
- updated to 0.9beta23

* Sun Dec 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta22-1
- updated to 0.9beta22, spec file cleanup
- fixed icon (file was xpm, menu said png)

* Mon Nov  1 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta21-1
- updated to 0.9beta21... in the same day! :-)
- added automake and autoconf build requirements only when build

* Mon Nov  1 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta20-1
- updated to 0.9beta20
- add automake >= 1.7 build requirement
- added templates patch, thank to Torbjrn Turpeinen (Thac)

* Fri Aug  6 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta19
- updated to 0.9beta19

* Sun Jul 25 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta18.4-1
- updated to 0.9beta18.4

* Fri Jul 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta18.3-1
- updated to 0.9beta18.3, added Jeese Chappell tempotype patch

* Tue Jul 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta18.2-1
- updated to 0.9beta18.2

* Sat Jul 17 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta18.1-1
- updated to 0.9beta18.1

* Sun Jul  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta17.1-1
- updated to 0.9beta17.1

* Mon Jun  7 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta16.1-1
- updated to 0.9beta16.1

* Mon May 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta14.3-1
- updated to 0.9beta14.3
- added patch for translated man install, added to file list as well

* Mon May 10 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated buildrequires list
- added proper documentation files

* Sun Feb 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta11.2-1
- updated to 0.9beta11.2

* Mon Feb 16 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta10.2-1
- updated to 0.9beta10.2

* Thu Jan 15 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta9-2
- this is the "real" beta9, the previous release was an interim tarball
  that I should not have released (but I did because of some important
  bug fixes that it incorporated). 
- added patch for building with gcc296

* Tue Dec  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta9-1
- updated to 0.9beta9
- added explicit dependency to jack >= 0.91.1
- patched region.h to build under gcc <3

* Sat Nov  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta8-1
- added release tags, spec file tweaks

* Tue Oct 28 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta8-1
- updated to 0.9beta8

* Mon Oct 27 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta7-1
- updated to 0.9beta7
- 7.3 names the binary with the i386 prefix, hack around the problem

* Fri Oct 10 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta5
- updated to 0.9beta5
- add patch to build under gcc 2.96 (Patch0)

* Thu Aug 14 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta3
- updated to 0.9beta3
- added release tags

* Wed Jul  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9beta2
- first public release

* Tue Jun 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0beta1
- redid spec file completely for tarball release

* Fri May 30 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.360-1
- readded libtool fix for 7.2/7.3

* Wed May  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.345-1
- added workaround for missing version.h file in gtk_ardour

* Wed Mar 19 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- changed over to pixmaps 2.6

* Sun Feb  3 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added locale files

* Sun Jan 19 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- major upgrade to spec file, getting ready for release
- split package into ardour and libardour, add ardour-ksi
- added some build dependecies
- does not need the special startup script, finds defaults
- borrowed icon from mandrake source rpm by Torbjrn Turpeinen
- added menu entry

* Wed Dec 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.305.0-1
- update to cvs

* Fri Dec  6 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.303.1-1
- added gettext dependency

* Wed Aug 21 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.239.1-1
- update to cvs

* Tue Jul 16 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.229.1-1
- update to cvs

* Wed Apr 24 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.220.1-1
- update to cvs

* Thu Apr 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.220.0-1
- update to latest cvs

* Fri Mar 15 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.213.0-1
- updated to latest cvs, added rtcap patch

* Thu Mar 14 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.211.0-1
- updated to the latest cvs
- require autoconf >= 2.52 to build
- disable ksi build till it is jackified

* Thu Jul 12 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- updated to latest cvs
- things to do after it is installed:
    setenv ARDOURRC /etc/ardourrc.scm
    edit /etc/ardourrc.scm:
(set-config-var ui-rcfile "/usr/lib/ardour/ardour_ui.rc")
(set-config-var pixmap-path "/usr/lib/ardour/pixmaps")
    edit /usr/lib/ardour/ardour_rc.ui
pixmap_path "./pixmaps:/usr/lib/ardour/pixmaps"
    ardour -d hw -p /usr/lib/aes
    ardour -d hw -p /usr/lib/aes -s 44100 -f 256 -R

* Tue Apr 10 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- installed "by hand"
- created startup script

* Mon Apr  9 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- spec file created
- created ardour-get-cvs to autodownload all code and libraries:
  cd ../SOURCES; ./ardour-get-cvs, follow prompts
- fixed problem with incompatible exceptions for "exit"
- fixed problem with undefined @LIBTOOL@ in make install
- store ardour and all related files in /usr/lib/ardour, start ardour
  with a bash script that sets the proper env variable to point to a
  configuration file in /etc, point all configuration paths to 
  /usr/lib/ardour/

